<?php 
// Include database configuration
include 'include/config.php';
?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">

  <!-- Bootstrap 3.3.7 -->
  <link rel="stylesheet" href="bower_components/bootstrap/dist/css/bootstrap.min.css">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="bower_components/font-awesome/css/font-awesome.min.css">
  <!-- Ionicons -->
  <link rel="stylesheet" href="bower_components/Ionicons/css/ionicons.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/AdminLTE.min.css">
  <link rel="stylesheet" href="dist/css/skins/_all-skins.min.css">
  <link rel="stylesheet" href="dist/css/style.css">

  <style>
    .btn-green { background-color:#a2d200; }
    .table-striped > tbody > tr:nth-of-type(2n+1) {
      background-color: #cccc;
    }
  </style>

  <!-- Google Font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
</head>
<body class="hold-transition skin-blue sidebar-mini">
<div class="wrapper" style="background:url('img/1.jpg');background-size:cover;min-height:200px!important">

<?php include "include/header_pages.php"; ?>

<?php
if (isset($_POST['saveUserInfo'])) {
    // Ensure database connection exists
    if (!isset($conn) || !$conn) {
        die("Database connection error.");
    }

    // Collect POST data safely
    $vyo_name = $_POST['vyo_name'] ?? '';
    $vyo_spardha_prakar = $_POST['vyo_spardha_prakar'] ?? '';
    $vyo_kiman_vay = $_POST['vyo_kiman_vay'] ?? '';
    $vyo_kamal_vay = $_POST['vyo_kamal_vay'] ?? '';
    $vyo_sthiti = $_POST['vyo_sthiti'] ?? '1';
    $gender = $_POST['gender'] ?? '';
    
    // Fetch `vyo_check_date` (use current date if not provided)
    $vyo_check_date = $_POST['vyo_check_date'] ?? date('Y-m-d');

    // Generate short code safely
    $short_code = "U" . $vyo_kamal_vay . $gender;

    // Validate required fields
    if ($vyo_name !== '' && $vyo_spardha_prakar !== '' && $vyo_kamal_vay !== '' && $gender !== '') {
        
        // Prepare statement including `vyo_check_date`
        $stmt = $conn->prepare("INSERT INTO `vayomaryada_master` (
            `vyo_name`, 
            `vyo_spardha_prakar`, 
            `vyo_short_code`, 
            `vyo_kiman_vay`, 
            `vyo_kamal_vay`, 
            `vyo_sthiti`,
            `vyo_gender`,
            `vyo_check_date`
        ) VALUES (?, ?, ?, ?, ?, ?, ?, ?)");

        // Bind parameters (Ensure correct type)
        $stmt->bind_param("ssssssss", 
            $vyo_name, 
            $vyo_spardha_prakar, 
            $short_code, 
            $vyo_kiman_vay, 
            $vyo_kamal_vay, 
            $vyo_sthiti,
            $gender,
            $vyo_check_date
        );

        // Execute query
        if ($stmt->execute()) {
            echo "<script>alert('Save Successfully'); window.location.assign('agelimit.php');</script>";
        } else {
            echo "Error: " . $stmt->error;
        }

        $stmt->close();
    } else {
        echo "<script>alert('Please fill all required fields');</script>";
    }
}
?>


<?php include "include/sidebar.php"; ?>

<div class="content-wrapper">
  <form class="form-horizontal" role="form" action="" method="post" enctype="multipart/form-data">
    <section class="tile">
      <div class="col-md-12">
        <div style="background-color:#fff;padding-bottom:15px;margin-bottom:15px;margin-top:15px">
          <div class="tile-header">
            <div class="box box-primary">
              <div class="box-header with-border">
                <span style="color:#333;font-size:22px"> नविन वयोमर्यादा टाका </span>
                <span style="color:#333;font-size:16px;float:right"> <a href="agelimit.php"> <i class="fa fa-bars"> वयोमर्यादा यादी </i></a></span>
              </div>
            </div>
          </div>

          <div class="tile-body">
            <div class="row">

              <div class="form-group col-md-6">
                <label for="compName" class="col-sm-4 control-label"> <span class="col-m-6 control-label">स्पर्धा प्रकार</span> <span class="redMark">*</span> </label>
                <div class="col-sm-6">
                  <select class="chosen-select form-control" name="vyo_spardha_prakar" id="sel_competition_type" data-placeholder="स्पर्धा प्रकार निवडा" onchange="show_age(this.value);" required>
                    <option value="">--स्पर्धा प्रकार निवडा--</option>
                    <option value="1">शालेय</option>
                  </select>
                </div>
              </div>

              <div class="form-group col-md-6">
                <label for="vyo_name" class="col-sm-4 control-label"> <span class="col-m-6 control-label"> वयोमर्यादेचे नाव </span> <span class="redMark">*</span> </label>
                <div class="col-sm-6">
                  <input type="text" id="vyo_name" name="vyo_name" class="form-control" placeholder="वयोमर्यादेचे नाव" value="" required />
                </div>
              </div>

              <div class="form-group col-md-6">
                <label for="gender" class="col-sm-4 control-label"> <span class="col-m-6 control-label"> लिंग </span> <span class="redMark">*</span> </label>
                <div class="col-sm-6">
                  <input type="radio" name="gender" value="B" checked> मुले &nbsp;&nbsp;&nbsp;
                  <input type="radio" name="gender" value="G"> मुली
                </div>
              </div>

              <div class="form-group col-md-6" style="display:none" id="kiman_aga_div">
                <label for="vyo_kiman_vay" class="col-sm-4 control-label"> <span class="col-m-6 control-label"> किमान वय </span> </label>
                <div class="col-sm-6">
                  <input type="text" name="vyo_kiman_vay" class="form-control" placeholder=" किमान वय " value="" />
                </div>
              </div>		

              <div class="form-group col-md-6">
                <label for="vyo_kamal_vay" class="col-sm-4 control-label"> <span class="col-m-6 control-label"> कमाल वय </span> <span class="redMark">*</span> </label>
                <div class="col-sm-6">
                  <input type="text" name="vyo_kamal_vay" class="form-control" placeholder="कमाल वय " value="" required />
                </div>
              </div>

              <input type="hidden" name="vyo_sthiti" value="1" />

            </div>

            <div class="col-md-12" style="background-color:#f5f5f5;padding-top:15px">
              <div class="form-group col-md-4">
                <button type="submit" class="btn btn-primary" name="saveUserInfo" id="btn_search">साठवा </button>
                <button type="reset" class="btn btn-default" name="btn_reset" id="btn_reset">रीसेट</button>
              </div>
            </div>

          </div>
        </div>
      </div>
    </section>
  </form>
</div>

<script src="bower_components/jquery/dist/jquery.min.js"></script>

<script>
function show_age(type) {
    if (type >= 2) {
        $("#kiman_aga_div").show();
    } else {
        $("#kiman_aga_div").hide();
    }
}
</script>

<script type="text/javascript" src="http://www.google.com/jsapi"></script>
<script type="text/javascript">google.load("elements", "1", {packages: "transliteration"});</script>

</body>
</html>
