<?php 
// Include database configuration
include 'include/config.php';
?>

<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  
  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  
  <!-- Bootstrap 3.3.7 -->
  <link rel="stylesheet" href="bower_components/bootstrap/dist/css/bootstrap.min.css">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="bower_components/font-awesome/css/font-awesome.min.css">
  <!-- Ionicons -->
  <link rel="stylesheet" href="bower_components/Ionicons/css/ionicons.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/AdminLTE.min.css">
  <!-- AdminLTE Skins -->
  <link rel="stylesheet" href="dist/css/skins/_all-skins.min.css">
  <link rel="stylesheet" href="dist/css/style.css">

  <style>
    .btn-green {background-color:#a2d200;}
    .table-striped > tbody > tr:nth-of-type(2n+1) {
      background-color: #cccc;
    }
  </style>
  
  <!-- Morris chart -->
  <link rel="stylesheet" href="bower_components/morris.js/morris.css">
  <!-- jvectormap -->
  <link rel="stylesheet" href="bower_components/jvectormap/jquery-jvectormap.css">
  <!-- Date Picker -->
  <link rel="stylesheet" href="bower_components/bootstrap-datepicker/dist/css/bootstrap-datepicker.min.css">
  <!-- Daterange picker -->
  <link rel="stylesheet" href="bower_components/bootstrap-daterangepicker/daterangepicker.css">
  <!-- bootstrap wysihtml5 - text editor -->
  <link rel="stylesheet" href="plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.min.css">
  
  <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->
  
  <!-- Google Font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
</head>
<body class="hold-transition skin-blue sidebar-mini">
<div class="wrapper" style="background:url('img/1.jpg');background-size:cover;min-height:#200px!IMPORTANT">

<?php
    if(isset($_REQUEST['change_status'])) {
        $record_id = mysqli_real_escape_string($conn, $_REQUEST['record_id'] ?? '');
        $change_status = mysqli_real_escape_string($conn, $_REQUEST['change_status'] ?? '');
        
        if ($record_id && $change_status) {
            $accountUserQry = mysqli_query($conn, "UPDATE `vayomaryada_master` SET `vyo_sthiti`='$change_status' WHERE `vyo_id`='$record_id'");
            
            if($accountUserQry) {
                echo "<script>alert('Successfully Status Changed'); window.location.href='agelimit.php';</script>";
            }
        }
    }
    
    $qry = "1 ";

    if(isset($_REQUEST['btn_search'])) {
        $txt_limit_name = mysqli_real_escape_string($conn, $_REQUEST['txt_limit_name'] ?? '');
        $txt_max_limit = mysqli_real_escape_string($conn, $_REQUEST['txt_max_limit'] ?? '');
        $sel_competition_type = mysqli_real_escape_string($conn, $_REQUEST['sel_competition_type'] ?? '');
        
        if(!empty($txt_limit_name)) {
            $qry .= " AND vyo_name='$txt_limit_name'";
        }
        if(!empty($txt_max_limit)) {
            $qry .= " AND vyo_kamal_vay='$txt_max_limit'";
        }
        if(!empty($sel_competition_type)) {
            $qry .= " AND vyo_spardha_prakar='$sel_competition_type'";
        }
    }
?>

<?php include "include/header_pages.php";?>
<?php include "include/sidebar.php";?>

<div class="content-wrapper">
<section class="tile">
  <div class="col-md-12">
    <div style="background-color:#fff;padding-bottom:15px;margin-bottom:15px;margin-top:15px">
    <div class="tile-header">
      <div class="box box-primary">
         <div class="box-header with-border">
             <span style="color:#333;font-size:22px"> वयोमर्यादा यादी </span>
             <a class="pull-right btn btn-dutch margin-bottom-20" href="add_new_agelimit.php">
                 <i class="fa fa-plus-square-o"></i> नविन वयोमर्यादा टाका
             </a> 
         </div>
      </div>
    </div>
  </div>
  
  <div class="box-body">
    <table id="example1" class="table table-bordered table-striped">
      <thead>
        <tr>
          <th>अनु. क्र.</th>
          <th>वयोमर्यादेचे  नाव </th>
          <th>स्पर्धा प्रकार </th>
          <th>शॉर्ट कोड </th>
          <th>कमाल वय</th>
          <th>स्थिती </th>
        </tr>
      </thead>
      <tbody>

      <?php
        $perpage = 10;
        $page = isset($_GET["page"]) ? intval($_GET["page"]) : 1;
        $calc = $perpage * $page;
        $start = $calc - $perpage;
        $srNo = ($page == 1) ? 1 : $start + 1;

        $sql = "SELECT vyo_name, vyo_spardha_prakar, vyo_short_code, vyo_kamal_vay, vyo_sthiti FROM `vayomaryada_master` WHERE $qry ORDER BY vyo_id ASC LIMIT ?, ?";
        $stmt = $conn->prepare($sql);
        $stmt->bind_param("ii", $start, $perpage);
        $stmt->execute();
        $result = $stmt->get_result();

        if ($result->num_rows > 0) {
          while ($accountUserData = $result->fetch_assoc()) {
      ?>
        <tr>
          <td><?php echo $srNo++; ?></td>
          <td><?php echo htmlspecialchars($accountUserData['vyo_name']); ?></td>
          <td>
            <?php
              switch ($accountUserData['vyo_spardha_prakar']) {
                case 1: echo "शालेय"; break;
                case 2: echo "महिला"; break;
                case 3: echo "स्वामी विवेकानंद ग्रामीण क्रीडा स्पर्धा"; break;
                default: echo "अन्य"; break;
              }
            ?>
          </td>
          <td><?php echo htmlspecialchars($accountUserData['vyo_short_code']); ?></td>
          <td><?php echo htmlspecialchars($accountUserData['vyo_kamal_vay']); ?></td>
          <td><?php echo ($accountUserData['vyo_sthiti'] == 1) ? "कार्यरत" : "अकार्यरत"; ?></td>
        </tr>
      <?php
          }
        }
        $stmt->close();
      ?>

      </tbody>
    </table>

    <!-- Pagination -->
    <table width="400" cellspacing="2" cellpadding="2" align="center">
      <tbody>
        <tr>
          <td align="center">
            <?php
              $count_sql = "SELECT COUNT(*) AS Total FROM vayomaryada_master WHERE $qry";
              $result1 = mysqli_query($conn, $count_sql);
              $rs = mysqli_fetch_assoc($result1);
              $total = $rs["Total"] ?? 0;
              $totalPages = ceil($total / $perpage);
              
              echo "<ul class='pagination'>";
              
              if ($page <= 1) {
                echo "<li><span id='page_links' style='font-weight: bold;'>Prev</span></li>";
              } else {
                $j = $page - 1;
                echo "<li><span><a id='page_a_link' href='?page=$j'>< Prev</a></span></li>";
              }

              for ($i = 1; $i <= $totalPages; $i++) {
                if ($i != $page) {
                  echo "<li><span><a id='page_a_link' href='?page=$i'>$i</a></span></li>";
                } else {
                  echo "<li><span><a id='page_a_link' href='?page=$i' style='font-weight: bold;'>$i</a></span></li>";
                }
              }

              if ($page == $totalPages || $totalPages == 0) {
                echo "<li><span id='page_links' style='font-weight: bold;'>Next ></span></li>";
              } else {
                $j = $page + 1;
                echo "<li><span><a id='page_a_link' href='?page=$j'>Next</a></span></li>";
              }

              echo "</ul>";
            ?>
          </td>
        </tr>
      </tbody>
    </table>

  </div>
</section>

</div>
</div>

<script src="bower_components/jquery/dist/jquery.min.js"></script>
<script src="bower_components/bootstrap/dist/js/bootstrap.min.js"></script>
</body>
</html>
